## START: Set by rpmautospec
## (rpmautospec version 0.7.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           accel-ppp
Version:        1.13.0
Release:        %autorelease
Summary:        High-performance VPN and broadband protocol server
License:        GPL-2.0-Only OR GPL-2.0-Or-Later OR MIT
URL:            https://accel-ppp.org/
Source:         https://github.com/accel-ppp/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		0001-Use-PCRE2-instead-of-PCRE.patch
Patch1:		0002-Add-Fedora-CPack-option.patch

BuildRequires:  cmake
BuildRequires:  gcc
%ifnarch i686
# Do this because we don't have an i686 kernel
BuildRequires:  kernel-modules-extra
%endif
BuildRequires:  openssl-devel
BuildRequires:  pcre2-devel

%description
accel-ppp is a Linux kernel-accelerated implementation of PPPoE, PPTP, L2TP
and other VPN and broadband protocols.

%prep
%autosetup -p1

%build
# We need Centos9 for modern Fedora versions alongside EPEL 9
%cmake -DCMAKE_BUILD_TYPE=Release -DCPACK_TYPE=Fedora
%cmake_build

%install
%cmake_install

%post
%systemd_post accel-ppp.service

%preun
%systemd_preun accel-ppp.service

%postun
%systemd_postun_with_restart accel-ppp.service

%files
%{_bindir}/accel-cmd
%{_bindir}/accel-pppd
%dir %{_datadir}/accel-ppp
%dir %{_datadir}/accel-ppp/l2tp
%{_datadir}/accel-ppp/l2tp/dictionary*
%dir %{_datadir}/accel-ppp/radius
%{_datadir}/accel-ppp/radius/dictionary*
%dir %{_libdir}/accel-ppp
%{_libdir}/accel-ppp/*
%{_mandir}/man1/accel-cmd.1.gz
%{_mandir}/man5/accel-ppp.conf.5.gz
%{_sysconfdir}/accel-ppp.conf.dist
%{_unitdir}/accel-ppp.service
%license COPYING

%changelog
## START: Generated by rpmautospec
* Tue Sep 24 2024 John Doe <packager@example.com> - 1.13.0-1
- Uncommitted changes
## END: Generated by rpmautospec
